Index: TXM/trunk/bundles/org.txm.referencer.core/src/org/txm/referencer/core/functions/Referencer.java
===================================================================
--- TXM/trunk/bundles/org.txm.referencer.core/src/org/txm/referencer/core/functions/Referencer.java	(revision 3793)
+++ TXM/trunk/bundles/org.txm.referencer.core/src/org/txm/referencer/core/functions/Referencer.java	(revision 3794)
@@ -515,11 +515,6 @@
 		this.setDirty();
 	}
 
-	@Override
-	public boolean setParameters(TXMParameters parameters) {
-		return false;
-	}
-
 	@Deprecated
 	public boolean toTxt(File outfile, String encoding) throws Exception {
 		return toTxt(outfile, encoding, "\t", ""); //$NON-NLS-1$ //$NON-NLS-2$
Index: TXM/trunk/bundles/org.txm.internalview.core/src/org/txm/internalview/core/functions/InternalView.java
===================================================================
--- TXM/trunk/bundles/org.txm.internalview.core/src/org/txm/internalview/core/functions/InternalView.java	(revision 3793)
+++ TXM/trunk/bundles/org.txm.internalview.core/src/org/txm/internalview/core/functions/InternalView.java	(revision 3794)
@@ -435,13 +435,6 @@
 	}
 	
 	@Override
-	public boolean setParameters(TXMParameters parameters) {
-		System.err.println("InternalView.setParameters(): not yet implemented.");
-		return false;
-	}
-	
-	
-	@Override
 	public boolean _toTxt(File outfile, String encoding, String colseparator, String txtseparator) throws Exception {
 		PrintWriter writer = IOUtils.getWriter(outfile, encoding);
 		for (int ipage = 0; ipage < nmatches; ipage++) { // run through all pages
Index: TXM/trunk/bundles/org.txm.index.core/src/org/txm/index/core/functions/Index.java
===================================================================
--- TXM/trunk/bundles/org.txm.index.core/src/org/txm/index/core/functions/Index.java	(revision 3793)
+++ TXM/trunk/bundles/org.txm.index.core/src/org/txm/index/core/functions/Index.java	(revision 3794)
@@ -981,27 +981,6 @@
 		if (nLinesPerPage != null) this.pNLinesPerPage = nLinesPerPage;
 	}
 	
-	@Override
-	public boolean setParameters(TXMParameters parameters) {
-		try {
-			List<WordProperty> props = (List<WordProperty>) parameters.get("props"); //$NON-NLS-1$
-			CQLQuery query = (CQLQuery) parameters.get("query"); //$NON-NLS-1$
-			Integer filterFmin = (Integer) parameters.get("filterFmin"); //$NON-NLS-1$
-			Integer filterFmax = (Integer) parameters.get("filterFmax"); //$NON-NLS-1$
-			Integer filterVmax = (Integer) parameters.get("filterVmax"); //$NON-NLS-1$
-			Integer nLinesPerPage = (Integer) parameters.get("nLinesPerPage"); //$NON-NLS-1$
-			
-			this.setParameters(query, props, filterFmin, filterFmax, filterVmax, nLinesPerPage);
-		}
-		catch (Exception e) {
-			Log.severe("Error while setting parameters of Index: " + e.getLocalizedMessage()); //$NON-NLS-1$
-			Log.printStackTrace(e);
-			return false;
-		}
-		return true;
-	}
-	
-	
 	public void setTopLine(int i) {
 		pTopIndex = Math.max(i, 0);
 	}
Index: TXM/trunk/bundles/org.txm.index.core/src/org/txm/index/core/functions/___Lexicon2.java
===================================================================
--- TXM/trunk/bundles/org.txm.index.core/src/org/txm/index/core/functions/___Lexicon2.java	(revision 3793)
+++ TXM/trunk/bundles/org.txm.index.core/src/org/txm/index/core/functions/___Lexicon2.java	(revision 3794)
@@ -563,20 +563,7 @@
 	public void setParameters(Property property) {
 		this.pProperty = property;
 	}
-	
-	@Override
-	public boolean setParameters(TXMParameters parameters) {
-		try {
-			Property p = (Property) parameters.get("properties");
-			this.setParameters(p);
-		}
-		catch (Exception e) {
-			Log.printStackTrace(e);
-			return false;
-		}
-		return true;
-	}
-	
+		
 	/**
 	 * Sets the symbol.
 	 *
Index: TXM/trunk/bundles/org.txm.textsbalance.core/src/org/txm/textsbalance/core/functions/TextsBalance.java
===================================================================
--- TXM/trunk/bundles/org.txm.textsbalance.core/src/org/txm/textsbalance/core/functions/TextsBalance.java	(revision 3793)
+++ TXM/trunk/bundles/org.txm.textsbalance.core/src/org/txm/textsbalance/core/functions/TextsBalance.java	(revision 3794)
@@ -365,15 +365,6 @@
 		return true;
 	}
 
-	@Override
-	public boolean setParameters(TXMParameters parameters) {
-		// TODO Auto-generated method stub
-		System.err.println("TextsBalance.setParameters(): not yet implemented.");
-		return true;
-	}
-
-	
-
 	/**
 	 * @return the groupByTexts
 	 */
Index: TXM/trunk/bundles/org.txm.texts.core/src/org/txm/texts/core/TextsView.java
===================================================================
--- TXM/trunk/bundles/org.txm.texts.core/src/org/txm/texts/core/TextsView.java	(revision 3793)
+++ TXM/trunk/bundles/org.txm.texts.core/src/org/txm/texts/core/TextsView.java	(revision 3794)
@@ -94,27 +94,6 @@
 	}
 
 	@Override
-	public boolean setParameters(TXMParameters parameters) throws Exception {
-
-		if (parameters.get("columns") != null) {
-
-			Object o = parameters.get("columns");
-			if (o instanceof List) {
-				pColumns = new ArrayList((List)o);
-			} else {
-				String v = parameters.get("columns").toString();
-				if ("*".equals(v)) {
-					this.pColumns = new ArrayList<>(getCorpus().getStructuralUnit("text").getUserDefinedOrderedProperties());
-				} else {
-					this.pColumns = new ArrayList(Property.stringToProperties(getCorpus(), v));
-				}
-			}
-			return true;
-		}
-		return false;
-	}
-
-	@Override
 	public String getName() {
 
 		return "Texts ("+pColumns+")";
Index: TXM/trunk/bundles/org.txm.para.core/src/org/txm/para/core/functions/ParaBrowser.java
===================================================================
--- TXM/trunk/bundles/org.txm.para.core/src/org/txm/para/core/functions/ParaBrowser.java	(revision 3793)
+++ TXM/trunk/bundles/org.txm.para.core/src/org/txm/para/core/functions/ParaBrowser.java	(revision 3794)
@@ -259,17 +259,8 @@
 		// TODO Auto-generated method stub
 		return false;
 	}
-	
-	
+		
 	@Override
-	public boolean setParameters(TXMParameters parameters) {
-		// FIXME: not yet computed
-		System.err.println("ParaBrowser.setParameters() not implemented");
-		return false;
-	}
-	
-	
-	@Override
 	public boolean saveParameters() throws Exception {
 		// FIXME: not yet computed
 		System.err.println("ParaBrowser.saveParameters() not implemented");
Index: TXM/trunk/bundles/org.txm.ca.core/src/org/txm/ca/core/functions/Eigenvalues.java
===================================================================
--- TXM/trunk/bundles/org.txm.ca.core/src/org/txm/ca/core/functions/Eigenvalues.java	(revision 3793)
+++ TXM/trunk/bundles/org.txm.ca.core/src/org/txm/ca/core/functions/Eigenvalues.java	(revision 3794)
@@ -98,13 +98,6 @@
 	}
 	
 	@Override
-	public boolean setParameters(TXMParameters parameters) {
-		// TODO Auto-generated method stub
-		System.err.println("Eigenvalues.setParameters(): not yet implemented.");
-		return true;
-	}
-	
-	@Override
 	public boolean loadParameters() {
 		// nothing to do
 		return true;
Index: TXM/trunk/bundles/org.txm.ca.core/src/org/txm/ca/core/functions/CA.java
===================================================================
--- TXM/trunk/bundles/org.txm.ca.core/src/org/txm/ca/core/functions/CA.java	(revision 3793)
+++ TXM/trunk/bundles/org.txm.ca.core/src/org/txm/ca/core/functions/CA.java	(revision 3794)
@@ -1030,14 +1030,6 @@
 	}
 	
 	@Override
-	public boolean setParameters(TXMParameters parameters) {
-		
-		// TODO Auto-generated method stub
-		System.err.println("CA.setParameters(): not yet implemented.");
-		return true;
-	}
-	
-	@Override
 	public boolean loadParameters() {
 		
 		// nothing to do
Index: TXM/trunk/bundles/org.txm.specificities.core/src/org/txm/specificities/core/functions/SpecificitiesSelection.java
===================================================================
--- TXM/trunk/bundles/org.txm.specificities.core/src/org/txm/specificities/core/functions/SpecificitiesSelection.java	(revision 3793)
+++ TXM/trunk/bundles/org.txm.specificities.core/src/org/txm/specificities/core/functions/SpecificitiesSelection.java	(revision 3794)
@@ -289,13 +289,6 @@
 		this.groupByLines = groupByLines;
 	}
 	
-	@Override
-	public boolean setParameters(TXMParameters parameters) {
-		// TODO Auto-generated method stub
-		System.err.println("SpecificitiesSelection.setParameters(): not yet implemented.");
-		return true;
-	}
-	
 	/**
 	 * @param selectedTypeNames the selectedTypeNames to set
 	 */
Index: TXM/trunk/bundles/org.txm.specificities.core/src/org/txm/specificities/core/functions/Specificities.java
===================================================================
--- TXM/trunk/bundles/org.txm.specificities.core/src/org/txm/specificities/core/functions/Specificities.java	(revision 3793)
+++ TXM/trunk/bundles/org.txm.specificities.core/src/org/txm/specificities/core/functions/Specificities.java	(revision 3794)
@@ -735,13 +735,6 @@
 		this.maxScore = maxScore;
 	}
 	
-	@Override
-	public boolean setParameters(TXMParameters parameters) {
-		// TODO Auto-generated method stub
-		System.err.println("Specificities.setParameters(): not yet implemented.");
-		return true;
-	}
-	
 	/**
 	 * @return the maxScore
 	 */
Index: TXM/trunk/bundles/org.txm.specificities.core/src/org/txm/functions/contrasts/Contrast.java
===================================================================
--- TXM/trunk/bundles/org.txm.specificities.core/src/org/txm/functions/contrasts/Contrast.java	(revision 3793)
+++ TXM/trunk/bundles/org.txm.specificities.core/src/org/txm/functions/contrasts/Contrast.java	(revision 3794)
@@ -255,13 +255,6 @@
 	}
 	
 	@Override
-	public boolean setParameters(TXMParameters parameters) {
-		// TODO Auto-generated method stub
-		System.err.println("Contrast.setParameters(): not yet implemented.");
-		return true;
-	}
-
-	@Override
 	public boolean saveParameters() {
 		// TODO Auto-generated method stub
 		System.err.println("Contrast.saveParameters(): not yet implemented.");
Index: TXM/trunk/bundles/org.txm.conllu.core/src/org/txm/conllu/core/function/UDTreeSearch.java
===================================================================
--- TXM/trunk/bundles/org.txm.conllu.core/src/org/txm/conllu/core/function/UDTreeSearch.java	(revision 3793)
+++ TXM/trunk/bundles/org.txm.conllu.core/src/org/txm/conllu/core/function/UDTreeSearch.java	(revision 3794)
@@ -291,14 +291,6 @@
 	}
 	
 	@Override
-	public boolean setParameters(TXMParameters parameters) {
-		if (parameters.getString("query") != null) {
-			this.pQuery = new CQLQuery(parameters.getString("query"));
-		}
-		return true;
-	}
-	
-	@Override
 	public boolean _loadParameters() throws Exception {
 		return true;
 	}
Index: TXM/trunk/bundles/org.txm.core/src/java/org/txm/core/results/TXMResult.java
===================================================================
--- TXM/trunk/bundles/org.txm.core/src/java/org/txm/core/results/TXMResult.java	(revision 3793)
+++ TXM/trunk/bundles/org.txm.core/src/java/org/txm/core/results/TXMResult.java	(revision 3794)
@@ -2,7 +2,11 @@
 
 import java.io.BufferedReader;
 import java.io.File;
+import java.io.FileNotFoundException;
 import java.io.IOException;
+import java.io.StringBufferInputStream;
+import java.io.StringReader;
+import java.io.UnsupportedEncodingException;
 import java.lang.reflect.Constructor;
 import java.lang.reflect.Field;
 import java.lang.reflect.InvocationTargetException;
@@ -1316,12 +1320,20 @@
 	public abstract boolean loadParameters() throws Exception;
 
 	/**
-	 * Initializes the @Parameter class members objects
+	 * Initializes the @Parameter class members objects using a map of key name + values
 	 * 
 	 * @param parameters
-	 * @return
+	 * @return true if all parameters have been set
 	 */
-	public abstract boolean setParameters(TXMParameters parameters) throws Exception;
+	public final boolean setParameters(TXMParameters parameters) throws Exception {
+		
+		boolean r = true;
+		
+		for (String k : parameters.keySet()) {
+			r &= setParameter(k, parameters.get(k), false);
+		}
+		return r;
+	}
 
 	/**
 	 * Initializes the @Parameter class members objects
@@ -1339,10 +1351,10 @@
 	 * 
 	 * @param key
 	 * @param value
-	 * @return
+	 * @return true if the parameter have been set
 	 * @throws Exception
 	 */
-	public boolean setParameter(String key, Object value) throws Exception {
+	public final boolean setParameter(String key, Object value) throws Exception {
 		return setParameter(key, value, false);
 	}
 
@@ -1356,14 +1368,14 @@
 	 * @return
 	 * @throws Exception
 	 */
-	public boolean setParameter(String key, Object value, boolean propagateToParent) throws Exception {
+	public final boolean setParameter(String key, Object value, boolean propagateToParent) throws Exception {
 
 		Field targetField = BeanParameters.getField(this, key);
 
 		if (targetField != null) {
 			targetField.setAccessible(true);
 			targetField.set(this, value);
-
+			
 			// Log
 			String message = "TXMResult.setParameter(): " + this.getClass().getSimpleName() + ": setting parameter " + key + " = " + value; //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
 			Log.finest(message);
@@ -2168,6 +2180,7 @@
 		return true;
 	}
 
+	
 	/**
 	 * import a result from a parameter file
 	 * 
@@ -2175,10 +2188,79 @@
 	 * @return the created result
 	 */
 	public TXMResult importResult(File parameters) {
+		
+		Properties props = new Properties();
 		try {
-			Properties props = new Properties();
 			props.load(IOUtils.getReader(parameters));
-
+		} catch (Exception e) {
+			e.printStackTrace();
+			return null;
+		}
+		return importResult(props);
+	}
+	
+	/**
+	 * import a result from a parameter file in Properties XML DTD format
+	 * 
+	 * @param allparameters the parameters file
+	 * @return the created result
+	 */
+	public TXMResult importResultFromXML(File xmlParameters) {
+		
+		Properties props = new Properties();
+		try {
+			props.loadFromXML(IOUtils.getInput(xmlParameters));
+		} catch (Exception e) {
+			e.printStackTrace();
+			return null;
+		}
+		return importResult(props);
+	}
+	
+	/**
+	 * import a result from a String in the Properties format
+	 * 
+	 * @param allparameters the parameters file
+	 * @return the created result
+	 */
+	public TXMResult importResultFromXML(String parameters) {
+		
+		Properties props = new Properties();
+		try {
+			props.loadFromXML(new StringBufferInputStream(parameters));
+		} catch (Exception e) {
+			e.printStackTrace();
+			return null;
+		}
+		return importResult(props);
+	}
+	
+	/**
+	 * import a result from a String in the Properties format
+	 * 
+	 * @param allparameters the parameters file
+	 * @return the created result
+	 */
+	public TXMResult importResult(String parameters) {
+		
+		Properties props = new Properties();
+		try {
+			props.load(new StringReader(parameters));
+		} catch (Exception e) {
+			e.printStackTrace();
+			return null;
+		}
+		return importResult(props);
+	}
+	
+	/**
+	 * import a result from a Properties map
+	 * 
+	 * @param allparameters the parameters file
+	 * @return the created result
+	 */
+	public TXMResult importResult(Properties props) {
+		try {
 			// some tests before...
 			String className = props.getProperty(TXMPreferences.CLASS);
 			if (className == null || className.length() == 0) {
@@ -2225,7 +2307,7 @@
 			}
 
 			if (cons == null) {
-				System.out.println(NLS.bind("Cannot import {0} in {1}", parameters, this));
+				System.out.println(NLS.bind("Cannot import {0} in {1}", props, this));
 			}
 			else {
 				cons = cl.getConstructor(String.class);
@@ -2236,9 +2318,10 @@
 
 		}
 		catch (Exception e) {
-			System.out.println(NLS.bind("Fail to import result from {0}: {1}", parameters, e));
+			System.out.println(NLS.bind("Fail to import result from {0}: {1}", props, e));
 			Log.printStackTrace(e);
 		}
+		
 		return null;
 	}
 
Index: TXM/trunk/bundles/org.txm.core/src/java/org/txm/objects/Text.java
===================================================================
--- TXM/trunk/bundles/org.txm.core/src/java/org/txm/objects/Text.java	(revision 3793)
+++ TXM/trunk/bundles/org.txm.core/src/java/org/txm/objects/Text.java	(revision 3794)
@@ -251,20 +251,7 @@
 		
 		return true;
 	}
-	
-	@Override
-	public boolean setParameters(TXMParameters parameters) throws Exception {
-		String path = parameters.getString(TBXPreferences.SOURCE);
-		if (path != null & path.length() > 0) {
-			this.pSource = new File(path);
-		}
-		path = parameters.getString(TBXPreferences.XMLTXM);
-		if (path != null & path.length() > 0) {
-			this.pXMLTXMFile = new File(path);
-		}
-		return true;
-	}
-	
+		
 	public void setName(String name) {
 		this.setUserName(name);
 	}
Index: TXM/trunk/bundles/org.txm.core/src/java/org/txm/objects/SavedQuery.java
===================================================================
--- TXM/trunk/bundles/org.txm.core/src/java/org/txm/objects/SavedQuery.java	(revision 3793)
+++ TXM/trunk/bundles/org.txm.core/src/java/org/txm/objects/SavedQuery.java	(revision 3794)
@@ -149,15 +149,9 @@
 	public boolean loadParameters() throws Exception {
 		return true;
 	}
+
 	
 	@Override
-	public boolean setParameters(TXMParameters parameters) throws Exception {
-		this.setUserName(parameters.getString(TBXPreferences.NAME));
-		this.pValue = parameters.getString(TBXPreferences.VALUE);
-		return true;
-	}
-	
-	@Override
 	public String getName() {
 		return getUserName();
 	}
Index: TXM/trunk/bundles/org.txm.core/src/java/org/txm/objects/Edition.java
===================================================================
--- TXM/trunk/bundles/org.txm.core/src/java/org/txm/objects/Edition.java	(revision 3793)
+++ TXM/trunk/bundles/org.txm.core/src/java/org/txm/objects/Edition.java	(revision 3794)
@@ -405,11 +405,6 @@
 	}
 	
 	@Override
-	public boolean setParameters(TXMParameters parameters) throws Exception {
-		return true;
-	}
-	
-	@Override
 	public String getName() {
 		return getUserName();
 	}
Index: TXM/trunk/bundles/org.txm.core/src/java/org/txm/objects/Workspace.java
===================================================================
--- TXM/trunk/bundles/org.txm.core/src/java/org/txm/objects/Workspace.java	(revision 3793)
+++ TXM/trunk/bundles/org.txm.core/src/java/org/txm/objects/Workspace.java	(revision 3794)
@@ -433,11 +433,6 @@
 	}
 
 	@Override
-	public boolean setParameters(TXMParameters parameters) throws Exception {
-		return true;
-	}
-
-	@Override
 	public String getName() {
 		return getUserName();
 	}
Index: TXM/trunk/bundles/org.txm.core/src/java/org/txm/objects/Project.java
===================================================================
--- TXM/trunk/bundles/org.txm.core/src/java/org/txm/objects/Project.java	(revision 3793)
+++ TXM/trunk/bundles/org.txm.core/src/java/org/txm/objects/Project.java	(revision 3794)
@@ -1146,13 +1146,8 @@
 		
 		return true;
 	}
-	
+		
 	@Override
-	public boolean setParameters(TXMParameters parameters) throws Exception {
-		return false;
-	}
-	
-	@Override
 	public String getName() {
 		return getUserName();
 	}
Index: TXM/trunk/bundles/org.txm.concordance.core/src/org/txm/concordance/core/functions/Concordance.java
===================================================================
--- TXM/trunk/bundles/org.txm.concordance.core/src/org/txm/concordance/core/functions/Concordance.java	(revision 3793)
+++ TXM/trunk/bundles/org.txm.concordance.core/src/org/txm/concordance/core/functions/Concordance.java	(revision 3794)
@@ -1361,97 +1361,6 @@
 		this.setDirty();
 	}
 	
-	@Override
-	public boolean setParameters(TXMParameters parameters) {
-		
-		Object p = parameters.get(ConcordancePreferences.QUERY);
-		if (p != null) {
-			if (p instanceof CQLQuery) this.pQuery = (CQLQuery) p;
-			else {
-				this.pQuery = new CQLQuery(p.toString());
-			}
-		}
-		
-		p = parameters.get(ConcordancePreferences.LEFT_ANALYSIS_PROPERTIES);
-		if (p != null) {
-			if (p instanceof List<?>) this.pAnalysisLeftProperties = (List<WordProperty>) p;
-			else {
-				String v = p.toString();
-				this.pAnalysisLeftProperties = (List<WordProperty>) Property.stringToProperties(getCorpus(), v);
-			}
-		}
-		
-		p = parameters.get(ConcordancePreferences.RIGHT_ANALYSIS_PROPERTIES);
-		if (p != null) {
-			if (p instanceof List<?>) this.pAnalysisRightProperties = (List<WordProperty>) p;
-			else {
-				String v = p.toString();
-				this.pAnalysisRightProperties = (List<WordProperty>) Property.stringToProperties(getCorpus(), v);
-			}
-		}
-		
-		p = parameters.get(ConcordancePreferences.KEYWORD_ANALYSIS_PROPERTIES);
-		if (p != null) {
-			if (p instanceof List<?>) this.pAnalysisKeywordProperties = (List<WordProperty>) p;
-			else {
-				String v = p.toString();
-				this.pAnalysisKeywordProperties = (List<WordProperty>) Property.stringToProperties(getCorpus(), v);
-			}
-		}
-		
-		p = parameters.get(ConcordancePreferences.LEFT_VIEW_PROPERTIES);
-		if (p != null) {
-			if (p instanceof List<?>) this.pViewLeftProperties = (List<WordProperty>) p;
-			else {
-				String v = p.toString();
-				this.pViewLeftProperties = (List<WordProperty>) Property.stringToProperties(getCorpus(), v);
-			}
-		}
-		
-		p = parameters.get(ConcordancePreferences.RIGHT_VIEW_PROPERTIES);
-		if (p != null) {
-			if (p instanceof List<?>) this.pViewRightProperties = (List<WordProperty>) p;
-			else {
-				String v = p.toString();
-				this.pViewRightProperties = (List<WordProperty>) Property.stringToProperties(getCorpus(), v);
-			}
-		}
-		
-		p = parameters.get(ConcordancePreferences.KEYWORD_VIEW_PROPERTIES);
-		if (p != null) {
-			if (p instanceof List<?>) this.pViewKeywordProperties = (List<WordProperty>) p;
-			else {
-				String v = p.toString();
-				this.pViewKeywordProperties = (List<WordProperty>) Property.stringToProperties(getCorpus(), v);
-			}
-		}
-		
-		p = parameters.get(ConcordancePreferences.VIEW_REFERENCE_PATTERN);
-		if (p != null) {
-			if (p instanceof ReferencePattern) this.pViewRefPattern = (ReferencePattern) p;
-			else {
-				String v = p.toString();
-				this.pViewRefPattern = ReferencePattern.stringToReferencePattern(getCorpus(), v);
-			}
-		}
-		
-		p = parameters.get(ConcordancePreferences.SORT_REFERENCE_PATTERN);
-		if (p != null) {
-			if (p instanceof ReferencePattern) this.pAnalysisRefPattern = (ReferencePattern) p;
-			else {
-				String v = p.toString();
-				this.pAnalysisRefPattern = ReferencePattern.stringToReferencePattern(getCorpus(), v);
-			}
-		}
-		
-		this.pLeftContextSize = (Integer) parameters.get(ConcordancePreferences.LEFT_CONTEXT_SIZE);
-		this.pRightContextSize = (Integer) parameters.get(ConcordancePreferences.RIGHT_CONTEXT_SIZE);
-		
-		this.saveParameters();
-		this.setDirty();
-		return true;
-	}
-	
 	/**
 	 * Set the reference Pattern.
 	 * 
Index: TXM/trunk/bundles/org.txm.queryindex.rcp/src/org/txm/queryindex/core/functions/QueryIndex.java
===================================================================
--- TXM/trunk/bundles/org.txm.queryindex.rcp/src/org/txm/queryindex/core/functions/QueryIndex.java	(revision 3793)
+++ TXM/trunk/bundles/org.txm.queryindex.rcp/src/org/txm/queryindex/core/functions/QueryIndex.java	(revision 3794)
@@ -472,14 +472,6 @@
 	}
 	
 	@Override
-	public boolean setParameters(TXMParameters parameters) throws Exception {
-		// FIXME: not yet implemented
-		System.err.println("QueryIndex.setParameters(): not yet implemented.");
-		return false;
-	}
-	
-	
-	@Override
 	public String getResultType() {
 		return "Query index";
 	}
Index: TXM/trunk/bundles/org.txm.ahc.core/src/org/txm/ahc/core/functions/AHC.java
===================================================================
--- TXM/trunk/bundles/org.txm.ahc.core/src/org/txm/ahc/core/functions/AHC.java	(revision 3793)
+++ TXM/trunk/bundles/org.txm.ahc.core/src/org/txm/ahc/core/functions/AHC.java	(revision 3794)
@@ -285,14 +285,7 @@
 				&& Arrays.binarySearch(AHC.getMetrics(), this.metric) >= 0
 				&& this.numberOfClusters >= 2;
 	}
-	
-	@Override
-	public boolean setParameters(TXMParameters parameters) {
-		// TODO Auto-generated method stub
-		System.err.println("AHC.setParameters() is not yet implemented."); //$NON-NLS-1$
-		return true;
-	}
-	
+		
 	/**
 	 * Resets the cached data so the next getter calls will request the values from R.
 	 */
Index: TXM/trunk/bundles/org.txm.cooccurrence.chartsengine/src/org/txm/cooccurrence/functions/CooccurrenceGraph.java
===================================================================
--- TXM/trunk/bundles/org.txm.cooccurrence.chartsengine/src/org/txm/cooccurrence/functions/CooccurrenceGraph.java	(revision 3793)
+++ TXM/trunk/bundles/org.txm.cooccurrence.chartsengine/src/org/txm/cooccurrence/functions/CooccurrenceGraph.java	(revision 3794)
@@ -78,19 +78,9 @@
 		// TODO Auto-generated method stub
 		return true;
 	}
-	
+		
 	/*
 	 * (non-Javadoc)
-	 * @see org.txm.core.results.TXMResult#setParameters(org.txm.core.results.TXMParameters)
-	 */
-	@Override
-	public boolean setParameters(TXMParameters parameters) throws Exception {
-		// TODO Auto-generated method stub
-		return true;
-	}
-	
-	/*
-	 * (non-Javadoc)
 	 * @see org.txm.core.results.TXMResult#getName()
 	 */
 	@Override
Index: TXM/trunk/bundles/org.txm.cooccurrence.core/src/org/txm/cooccurrence/core/functions/Cooccurrence.java
===================================================================
--- TXM/trunk/bundles/org.txm.cooccurrence.core/src/org/txm/cooccurrence/core/functions/Cooccurrence.java	(revision 3793)
+++ TXM/trunk/bundles/org.txm.cooccurrence.core/src/org/txm/cooccurrence/core/functions/Cooccurrence.java	(revision 3794)
@@ -1059,8 +1059,7 @@
 		this.buildLexicalTableWithCooccurrents = buildLexicalTableWithCooccurrents;
 	}
 
-	@Override
-	public boolean setParameters(TXMParameters parameters) {
+	public boolean setParametersFromWidgets(TXMParameters parameters) {
 		try {
 			CQPCorpus corpus = this.getCorpus();
 			boolean includeXpivot = parameters.getBoolean(CooccurrencePreferences.INCLUDE_X_PIVOT);
Index: TXM/trunk/bundles/org.txm.properties.core/src/org/txm/properties/core/functions/Properties.java
===================================================================
--- TXM/trunk/bundles/org.txm.properties.core/src/org/txm/properties/core/functions/Properties.java	(revision 3793)
+++ TXM/trunk/bundles/org.txm.properties.core/src/org/txm/properties/core/functions/Properties.java	(revision 3794)
@@ -341,12 +341,6 @@
 	}
 	
 	@Override
-	public boolean setParameters(TXMParameters parameters) {
-		this.pMaxPropertiesToDisplay = parameters.getInteger(PropertiesPreferences.MAX_PROPERTIES_TO_DISPLAY);
-		return true;
-	}
-	
-	@Override
 	public boolean saveParameters() {
 		// nothing to do -> all parameters are already managed by autoSaveParameters
 		return true;
Index: TXM/trunk/bundles/org.txm.partition.core/src/org/txm/partition/core/functions/PartitionDimensions.java
===================================================================
--- TXM/trunk/bundles/org.txm.partition.core/src/org/txm/partition/core/functions/PartitionDimensions.java	(revision 3793)
+++ TXM/trunk/bundles/org.txm.partition.core/src/org/txm/partition/core/functions/PartitionDimensions.java	(revision 3794)
@@ -13,7 +13,6 @@
 import org.txm.chartsengine.core.results.ChartResult;
 import org.txm.core.messages.TXMCoreMessages;
 import org.txm.core.results.Parameter;
-import org.txm.core.results.TXMParameters;
 import org.txm.partition.core.messages.PartitionCoreMessages;
 import org.txm.partition.core.preferences.PartitionDimensionsPreferences;
 import org.txm.searchengine.cqp.clientExceptions.CqiClientException;
@@ -22,7 +21,6 @@
 import org.txm.searchengine.cqp.corpus.Partition;
 import org.txm.utils.TXMProgressMonitor;
 import org.txm.utils.io.IOUtils;
-import org.txm.utils.logger.Log;
 
 /**
  * Partition dimensions.
@@ -48,13 +46,13 @@
 	 * To display or not the parts count in chart title.
 	 */
 	@Parameter(key = PartitionDimensionsPreferences.CHART_DIMENSIONS_DISPLAY_PARTS_COUNT_IN_TITLE, type = Parameter.RENDERING)
-	protected boolean displayPartsCountInTitle;
+	protected boolean pDisplayPartsCountInTitle;
 	
 	/**
 	 * To sort or not the parts by size.
 	 */
 	@Parameter(key = PartitionDimensionsPreferences.CHART_DIMENSIONS_SORT_BY_SIZE, type = Parameter.RENDERING)
-	protected boolean sortBySize;
+	protected boolean pSortBySize;
 	
 	
 	
@@ -153,21 +151,21 @@
 		return this.getPartition() != null;
 	}
 	
-	@Override
-	public boolean setParameters(TXMParameters parameters) {
-		try {
-			this.setSortBySize((boolean) parameters.get(PartitionDimensionsPreferences.CHART_DIMENSIONS_SORT_BY_SIZE));
-			return true;
-		}
-		catch (Exception e) {
-			// TODO Auto-generated catch block
-			e.printStackTrace();
-		}
-		return false;
-	}
+//	@Override
+//	public boolean setParameters(TXMParameters parameters) {
+//		try {
+//			this.setSortBySize((boolean) parameters.get(PartitionDimensionsPreferences.CHART_DIMENSIONS_SORT_BY_SIZE));
+//			return true;
+//		}
+//		catch (Exception e) {
+//			// TODO Auto-generated catch block
+//			e.printStackTrace();
+//		}
+//		return false;
+//	}
+//	
 	
 	
-	
 	/**
 	 * Convenience method.
 	 */
@@ -274,7 +272,7 @@
 	 * @return the sortBySize
 	 */
 	public boolean isSortingBySize() {
-		return sortBySize;
+		return pSortBySize;
 	}
 	
 	
@@ -283,7 +281,7 @@
 	 * @param sortBySize the sortBySize to set
 	 */
 	public void setSortBySize(boolean sortBySize) {
-		this.sortBySize = sortBySize;
+		this.pSortBySize = sortBySize;
 	}
 	
 	
@@ -292,7 +290,7 @@
 	 * @return the displayPartCountInTitle
 	 */
 	public boolean isDisplayingPartCountInTitle() {
-		return displayPartsCountInTitle;
+		return pDisplayPartsCountInTitle;
 	}
 	
 	@Override
Index: TXM/trunk/bundles/org.txm.partition.core/src/org/txm/partition/core/chartsengine/base/Utils.java
===================================================================
--- TXM/trunk/bundles/org.txm.partition.core/src/org/txm/partition/core/chartsengine/base/Utils.java	(revision 3793)
+++ TXM/trunk/bundles/org.txm.partition.core/src/org/txm/partition/core/chartsengine/base/Utils.java	(revision 3794)
@@ -15,9 +15,7 @@
 	/**
 	 * Creates a string title, shared by charts engine implementations, for the partition dimensions chart from the specified result.
 	 * 
-	 * @param the partition result
-	 * @param sortPartsBySize the sort parts by size state
-	 * @param displayPartsCountInTitle display or not the parts count in chart title
+	 * @param partitionDimensions the dimension to display
 	 * @return the title string
 	 */
 	public static String createPartitionDimensionsChartTitle(PartitionDimensions partitionDimensions) {
Index: TXM/trunk/bundles/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/MainCorpus.java
===================================================================
--- TXM/trunk/bundles/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/MainCorpus.java	(revision 3793)
+++ TXM/trunk/bundles/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/MainCorpus.java	(revision 3794)
@@ -592,11 +592,6 @@
 		this.setUserName(name);
 	}
 	
-	@Override
-	public boolean setParameters(TXMParameters parameters) throws Exception {
-		return true;
-	}
-	
 	/*
 	 * (non-Javadoc)
 	 * @see java.lang.Object#toString()
Index: TXM/trunk/bundles/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/Subcorpus.java
===================================================================
--- TXM/trunk/bundles/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/Subcorpus.java	(revision 3793)
+++ TXM/trunk/bundles/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/Subcorpus.java	(revision 3794)
@@ -558,14 +558,7 @@
 		
 		this.setDirty();
 	}
-	
-	@Override
-	public boolean setParameters(TXMParameters parameters) {
-		// TODO Auto-generated method stub
-		System.err.println("Subcorpus.setParameters(): not yet implemented.");
-		return true;
-	}
-	
+		
 	/**
 	 * Sets the query to use.
 	 * 
Index: TXM/trunk/bundles/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/Partition.java
===================================================================
--- TXM/trunk/bundles/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/Partition.java	(revision 3793)
+++ TXM/trunk/bundles/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/Partition.java	(revision 3794)
@@ -636,44 +636,6 @@
 	}
 	
 	@Override
-	public boolean setParameters(TXMParameters parameters) {
-		this.setUserName(parameters.getString(TXMPreferences.USER_NAME));
-		String tmp = parameters.getString(CQPPreferences.PART_NAMES);
-		if (tmp != null) {
-			this.pPartNames = Arrays.asList(tmp.split("\t"));
-		}
-		else {
-			this.pPartNames = null;
-		}
-		
-		try {
-			this.pProperty = StructuralUnitProperty.stringToStructuralUnitProperty(getParent(), parameters.getString(TXMPreferences.STRUCTURAL_UNIT_PROPERTY));
-		}
-		catch (CqiClientException e) {
-			// TODO Auto-generated catch block
-			e.printStackTrace();
-			this.pProperty = null;
-		}
-		
-		tmp = parameters.getString(CQPPreferences.QUERIES);
-		if (tmp != null) {
-			this.pQueries = Arrays.asList(tmp.split("\t"));
-		}
-		else {
-			this.pQueries = null;
-		}
-		
-		tmp = parameters.getString(CQPPreferences.VALUES);
-		if (tmp != null) {
-			this.pValues = Arrays.asList(tmp.split("\t"));
-		}
-		else {
-			this.pValues = null;
-		}
-		return true;
-	}
-	
-	@Override
 	public boolean loadParameters() {
 		String tmp = null;
 		try {
Index: TXM/trunk/bundles/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/core/functions/selection/Selection.java
===================================================================
--- TXM/trunk/bundles/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/core/functions/selection/Selection.java	(revision 3793)
+++ TXM/trunk/bundles/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/core/functions/selection/Selection.java	(revision 3794)
@@ -494,15 +494,8 @@
 	public boolean canCompute() {
 		return this.corpus != null;
 	}
-	
+		
 	@Override
-	public boolean setParameters(TXMParameters parameters) {
-		// TODO Auto-generated method stub
-		System.err.println("Selection.setParameters(): not yet implemented.");
-		return true;
-	}
-	
-	@Override
 	public boolean loadParameters() {
 		// TODO Auto-generated method stub
 		System.err.println("Selection.loadParameters(): not yet implemented.");
Index: TXM/trunk/bundles/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/core/functions/summary/Summary.java
===================================================================
--- TXM/trunk/bundles/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/core/functions/summary/Summary.java	(revision 3793)
+++ TXM/trunk/bundles/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/core/functions/summary/Summary.java	(revision 3794)
@@ -42,12 +42,6 @@
 	}
 	
 	@Override
-	public boolean setParameters(TXMParameters parameters) {
-		System.err.println("Summary.setParameters(): not yet implemented.");
-		return true;
-	}
-	
-	@Override
 	public boolean loadParameters() {
 		System.err.println("Summary.loadParameters(): not yet implemented.");
 		return true;
Index: TXM/trunk/bundles/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/core/functions/preview/Preview.java
===================================================================
--- TXM/trunk/bundles/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/core/functions/preview/Preview.java	(revision 3793)
+++ TXM/trunk/bundles/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/core/functions/preview/Preview.java	(revision 3794)
@@ -92,13 +92,6 @@
 	}
 	
 	@Override
-	public boolean setParameters(TXMParameters parameters) {
-		// TODO Auto-generated method stub
-		System.err.println("Preview.setParameters(): not yet implemented.");
-		return true;
-	}
-	
-	@Override
 	public boolean loadParameters() {
 		// TODO Auto-generated method stub
 		System.err.println("Preview.loadParameters(): not yet implemented.");
Index: TXM/trunk/bundles/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/RStatsEngine.java
===================================================================
--- TXM/trunk/bundles/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/RStatsEngine.java	(revision 3793)
+++ TXM/trunk/bundles/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/RStatsEngine.java	(revision 3794)
@@ -179,6 +179,7 @@
 					String execName = RPreferences.getInstance().getString(RPreferences.PATH_TO_EXECUTABLE);
 					File f = new File(execName);
 					// only use taskkill if the process is running
+					
 					String cmd = "tasklist | find /i \""+f.getName()+"\" && taskkill /IM "+f.getName()+" /F"; //$NON-NLS-1$
 					//String cmd = "cmd /c FOR /F \"tokens=5 delims= \" %P IN ('netstat -ano ^| findstr :6330 ^| findstr LISTENING') DO taskkill /F /PID %P"; //$NON-NLS-1$
 					Log.finest("Executing command: " + cmd);
Index: TXM/trunk/bundles/org.txm.treesearch.core/src/org/txm/treesearch/function/TreeSearch.java
===================================================================
--- TXM/trunk/bundles/org.txm.treesearch.core/src/org/txm/treesearch/function/TreeSearch.java	(revision 3793)
+++ TXM/trunk/bundles/org.txm.treesearch.core/src/org/txm/treesearch/function/TreeSearch.java	(revision 3794)
@@ -181,9 +181,6 @@
 
 	public abstract boolean hasSubMatchesStrategy();
 
-	@Override
-	public abstract boolean setParameters(TXMParameters parameters);
-
 	public abstract boolean toSVG(File svgFile, int sent, int sub, List<String> T, List<String> nT2);
 
 	public abstract boolean isReady();
Index: TXM/trunk/bundles/org.txm.lexicaltable.core/src/org/txm/lexicaltable/core/functions/LexicalTable.java
===================================================================
--- TXM/trunk/bundles/org.txm.lexicaltable.core/src/org/txm/lexicaltable/core/functions/LexicalTable.java	(revision 3793)
+++ TXM/trunk/bundles/org.txm.lexicaltable.core/src/org/txm/lexicaltable/core/functions/LexicalTable.java	(revision 3794)
@@ -397,31 +397,6 @@
 		return true;
 	}
 	
-	@Override
-	public boolean setParameters(TXMParameters parameters) throws CqiClientException {
-		
-		if (parameters.containsKey(LexicalTablePreferences.F_MIN)) {
-			this.fMinFilter = parameters.getInteger(LexicalTablePreferences.F_MIN);
-		}
-		if (parameters.containsKey(LexicalTablePreferences.F_MAX)) {
-			this.fMaxFilter = parameters.getInteger(LexicalTablePreferences.F_MAX);
-		}
-		if (parameters.containsKey(LexicalTablePreferences.UNIT_PROPERTY)) {
-			String s = parameters.get(LexicalTablePreferences.UNIT_PROPERTY).toString();
-			this.property = getCorpus().getProperty(s);
-		}
-		
-		if (parameters.containsKey(LexicalTablePreferences.USE_ALL_OCCURRENCES)) {
-			this.useAllOccurrences = parameters.getBoolean(LexicalTablePreferences.USE_ALL_OCCURRENCES);
-		}
-		
-		if (parameters.containsKey(LexicalTablePreferences.V_MAX)) {
-			this.vMaxFilter = parameters.getInteger(LexicalTablePreferences.V_MAX);
-		}
-		
-		return true;
-	}
-	
 	/**
 	 * 
 	 * @return
Index: TXM/trunk/bundles/org.txm.wordcloud.core/src/org/txm/wordcloud/core/functions/WordCloud.java
===================================================================
--- TXM/trunk/bundles/org.txm.wordcloud.core/src/org/txm/wordcloud/core/functions/WordCloud.java	(revision 3793)
+++ TXM/trunk/bundles/org.txm.wordcloud.core/src/org/txm/wordcloud/core/functions/WordCloud.java	(revision 3794)
@@ -254,33 +254,8 @@
 	public boolean canCompute() {
 		return this.parent != null;
 	}
+
 	
-	@Override
-	public boolean setParameters(TXMParameters parameters) {
-		
-		if (parameters.containsKey(TXMPreferences.F_MIN)) {
-			Object value = parameters.get(TXMPreferences.F_MIN);
-			if (value instanceof String) {
-				this.fMin = Integer.parseInt(value.toString());
-			}
-			else if (value instanceof Integer) {
-				this.fMin = (Integer) value;
-			}
-		}
-		
-		if (parameters.containsKey(TXMPreferences.V_MAX)) {
-			Object value = parameters.get(TXMPreferences.V_MAX);
-			if (value instanceof String) {
-				this.maxWordsCount = Integer.parseInt(value.toString());
-			}
-			else if (value instanceof Integer) {
-				this.maxWordsCount = (Integer) value;
-			}
-		}
-		
-		return true;
-	}
-	
 	/**
 	 * 
 	 * @param lang
Index: TXM/trunk/bundles/org.txm.cooccurrence.rcp/src/org/txm/cooccurrence/rcp/editors/CooccurrencesEditor.java
===================================================================
--- TXM/trunk/bundles/org.txm.cooccurrence.rcp/src/org/txm/cooccurrence/rcp/editors/CooccurrencesEditor.java	(revision 3793)
+++ TXM/trunk/bundles/org.txm.cooccurrence.rcp/src/org/txm/cooccurrence/rcp/editors/CooccurrencesEditor.java	(revision 3794)
@@ -697,7 +697,7 @@
 	@Override
 	public void updateResultFromEditor() {
 		TXMParameters parameters = getWidgetsParameters();
-		cooc.setParameters(parameters);
+		cooc.setParametersFromWidgets(parameters);
 	}
 
 	public TableViewer getTableViewer() {
Index: TXM/trunk/bundles/org.txm.searchengine.core/src/org/txm/searchengine/core/QueryHistory.java
===================================================================
--- TXM/trunk/bundles/org.txm.searchengine.core/src/org/txm/searchengine/core/QueryHistory.java	(revision 3793)
+++ TXM/trunk/bundles/org.txm.searchengine.core/src/org/txm/searchengine/core/QueryHistory.java	(revision 3794)
@@ -48,12 +48,6 @@
 
 		return true;
 	}
-
-	@Override
-	public boolean setParameters(TXMParameters parameters) throws Exception {
-
-		return true;
-	}
 	
 	public String getComputingDoneMessage() {
 		return "";
Index: TXM/trunk/bundles/org.txm.tigersearch.rcp/src/org/txm/function/tigersearch/TIGERSearch.java
===================================================================
--- TXM/trunk/bundles/org.txm.tigersearch.rcp/src/org/txm/function/tigersearch/TIGERSearch.java	(revision 3793)
+++ TXM/trunk/bundles/org.txm.tigersearch.rcp/src/org/txm/function/tigersearch/TIGERSearch.java	(revision 3794)
@@ -195,14 +195,6 @@
 	}
 	
 	@Override
-	public boolean setParameters(TXMParameters parameters) {
-		if (parameters.getString("query") != null) { //$NON-NLS-1$
-			this.pQuery = new TIGERQuery(parameters.getString("query")); //$NON-NLS-1$
-		}
-		return true;
-	}
-
-	@Override
 	public boolean _loadParameters() throws Exception {
 		
 		return true;
Index: TXM/trunk/bundles/org.txm.cql2lsa.rcp/src/org/txm/functions/cql2lsa/ContextSubcorpus.java
===================================================================
--- TXM/trunk/bundles/org.txm.cql2lsa.rcp/src/org/txm/functions/cql2lsa/ContextSubcorpus.java	(revision 3793)
+++ TXM/trunk/bundles/org.txm.cql2lsa.rcp/src/org/txm/functions/cql2lsa/ContextSubcorpus.java	(revision 3794)
@@ -145,11 +145,6 @@
 	}
 	
 	@Override
-	public boolean setParameters(TXMParameters parameters) {
-		return false;
-	}
-	
-	@Override
 	public boolean saveParameters() throws Exception {
 		// TODO Auto-generated method stub
 		return false;
Index: TXM/trunk/bundles/org.txm.cql2lsa.rcp/src/org/txm/functions/cql2lsa/ValuesOfQuery.java
===================================================================
--- TXM/trunk/bundles/org.txm.cql2lsa.rcp/src/org/txm/functions/cql2lsa/ValuesOfQuery.java	(revision 3793)
+++ TXM/trunk/bundles/org.txm.cql2lsa.rcp/src/org/txm/functions/cql2lsa/ValuesOfQuery.java	(revision 3794)
@@ -204,13 +204,8 @@
 	public String getDetails() {
 		return this.corpus.getName() + " " + this.query + " " + this.prop + " " + this.fmin;
 	}
-	
+		
 	@Override
-	public boolean setParameters(TXMParameters parameters) {
-		return false;
-	}
-	
-	@Override
 	public boolean saveParameters() throws Exception {
 		// TODO Auto-generated method stub
 		return false;
Index: TXM/trunk/bundles/org.txm.cql2lsa.rcp/src/org/txm/functions/cql2lsa/ExpII.java
===================================================================
--- TXM/trunk/bundles/org.txm.cql2lsa.rcp/src/org/txm/functions/cql2lsa/ExpII.java	(revision 3793)
+++ TXM/trunk/bundles/org.txm.cql2lsa.rcp/src/org/txm/functions/cql2lsa/ExpII.java	(revision 3794)
@@ -728,11 +728,6 @@
 	}
 	
 	@Override
-	public boolean setParameters(TXMParameters parameters) {
-		return false;
-	}
-	
-	@Override
 	public boolean saveParameters() throws Exception {
 		// TODO Auto-generated method stub
 		return false;
Index: TXM/trunk/bundles/org.txm.cql2lsa.rcp/src/org/txm/functions/cql2lsa/ExpI.java
===================================================================
--- TXM/trunk/bundles/org.txm.cql2lsa.rcp/src/org/txm/functions/cql2lsa/ExpI.java	(revision 3793)
+++ TXM/trunk/bundles/org.txm.cql2lsa.rcp/src/org/txm/functions/cql2lsa/ExpI.java	(revision 3794)
@@ -419,11 +419,6 @@
 	}
 	
 	@Override
-	public boolean setParameters(TXMParameters parameters) {
-		return false;
-	}
-	
-	@Override
 	public boolean saveParameters() throws Exception {
 		// TODO Auto-generated method stub
 		return false;
Index: TXM/trunk/bundles/org.txm.progression.core/src/org/txm/progression/core/functions/Progression.java
===================================================================
--- TXM/trunk/bundles/org.txm.progression.core/src/org/txm/progression/core/functions/Progression.java	(revision 3793)
+++ TXM/trunk/bundles/org.txm.progression.core/src/org/txm/progression/core/functions/Progression.java	(revision 3794)
@@ -255,15 +255,6 @@
 		return true;
 	}
 	
-	@Override
-	public boolean setParameters(TXMParameters parameters) {
-		// TODO Auto-generated method stub
-		System.err.println("Progression.setParameters(): not yet implemented."); //$NON-NLS-1$
-		return true;
-	}
-	
-	
-	
 	/**
 	 * Sets the structural unit.
 	 * 
Index: TXM/trunk/bundles/org.txm.querycooccurrences.rcp/src/org/txm/functions/coocmatrix/QueryAutoCooccurrence.java
===================================================================
--- TXM/trunk/bundles/org.txm.querycooccurrences.rcp/src/org/txm/functions/coocmatrix/QueryAutoCooccurrence.java	(revision 3793)
+++ TXM/trunk/bundles/org.txm.querycooccurrences.rcp/src/org/txm/functions/coocmatrix/QueryAutoCooccurrence.java	(revision 3794)
@@ -334,15 +334,8 @@
 	public boolean canCompute() {
 		return corpus != null;
 	}
-	
+		
 	@Override
-	public boolean setParameters(TXMParameters parameters) {
-		// FIXME: not yet implemented.
-		System.err.println("QueryAutoCooccurrence.setParameters(): not yet implemented.");
-		return false;
-	}
-	
-	@Override
 	public boolean saveParameters() throws Exception {
 		// FIXME: not yet implemented.
 		System.err.println("QueryAutoCooccurrence.saveParameters(): not yet implemented.");
Index: TXM/trunk/bundles/org.txm.querycooccurrences.rcp/src/org/txm/functions/coocmatrix/QueryCooccurrence.java
===================================================================
--- TXM/trunk/bundles/org.txm.querycooccurrences.rcp/src/org/txm/functions/coocmatrix/QueryCooccurrence.java	(revision 3793)
+++ TXM/trunk/bundles/org.txm.querycooccurrences.rcp/src/org/txm/functions/coocmatrix/QueryCooccurrence.java	(revision 3794)
@@ -250,15 +250,8 @@
 	public boolean canCompute() {
 		return corpus != null;
 	}
-	
+		
 	@Override
-	public boolean setParameters(TXMParameters parameters) {
-		// FIXME: not yet implemented.
-		// System.err.println("QueryCooccurrence.setParameters(): not yet implemented.");
-		return false;
-	}
-	
-	@Override
 	public boolean saveParameters() throws Exception {
 		// FIXME: not yet implemented.
 		// System.err.println("QueryCooccurrence.saveParameters(): not yet implemented.");
